## python-pysaml2 4.5.0+dfsg1

=== debian/changelog ===
python-pysaml2 (4.5.0+dfsg1-0ubuntu2.19.10.1~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 21 Jan 2020 17:31:11 +0000

python-pysaml2 (4.5.0+dfsg1-0ubuntu2.19.10.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Signature in SAML doc not checked properly
    - debian/patches/CVE-2020-5390.patch: fix XML signature wrapping
      (XSW) in src/saml2/sigver.py, tests/saml2_response_xsw.xml,
      tests/test_xsw.py.
    - CVE-2020-5390
  * Fixing test_41_response
    - debian/patches/Fix-test-41-that-now-depend-on-acual-datetime.patch:
      Fix test that depended on actual datetime in tests/test_41_response.py.

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 21 Jan 2020 09:39:08 -0300

python-pysaml2 (4.5.0+dfsg1-0ubuntu2) cosmic; urgency=medium

  * d/p/skip-online-tests.patch: test_load_remote_encoding skip,
    online test.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Aug 2018 13:50:48 +0100

python-pysaml2 (4.5.0+dfsg1-0ubuntu1) cosmic; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ James Page ]
  * New upstream release for OpenStack Rocky:
    - d/p/CVE-*.patch: Drop, included in release.
    - d/p/disable-repoze.who-tests.patch,fix-test-41-response.patch,
      fix-tests.patch: Drop, no longer needed.
    - d/p/*: Refresh.
    - d/control: Add BD on python{3}-future.
  * d/copyright: Move global file wildcard to first paragraph.
  * d/control: Bumped Standards-Version to 4.2.0.
  * d/watch: Add dversionmangle for dfsg repack.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Aug 2018 12:11:40 +0100
