## python-pysaml2 4.5.0.1

=== debian/changelog ===
python-pysaml2 (4.5.0.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 24b5d2dd046759ff308d22057ffb582ef74645cc']

 -- shuttle <shuttle@deepin.com>  Thu, 30 Jul 2020 14:39:11 +0000
