=== debian/control ===
--- 
+++ 
@@ -8,31 +8,10 @@
 Build-Depends:
  debhelper (>= 9),
  dh-python,
- python-all,
- python-setuptools,
  python3-sphinx,
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
- python-alabaster,
- python-crypto,
- python-dateutil,
- python-decorator,
- python-defusedxml,
- python-future,
- python-mako,
- python-memcache,
- python-mock,
- python-openssl,
- python-paste,
- python-pyasn1,
- python-pymongo,
- python-pymongo (>= 3.0.1),
- python-pytest,
- python-requests,
- python-responses,
- python-tz,
- python-zope.interface,
  python3-crypto,
  python3-dateutil,
  python3-decorator,
@@ -55,33 +34,6 @@
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
 Homepage: https://github.com/rohe/pysaml2
-
-Package: python-pysaml2
-Architecture: all
-Depends:
- python-mako,
- python-memcache,
- python-pyasn1,
- xmlsec1,
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-repoze.who,
-Description: SAML Version 2 to be used in a WSGI environment - Python 2.x
- This package provides a Python implementation of SAML Version 2 to be used in
- a WSGI environment.
- .
- From wikipedia: Security Assertion Markup Language 2.0 (SAML 2.0) is a version
- of the SAML standard for exchanging authentication and authorization data
- between security domains. SAML 2.0 is an XML-based protocol that uses security
- tokens containing assertions to pass information about a principal (usually an
- end user) between a SAML authority, that is, an identity provider, and a SAML
- consumer, that is, a service provider. SAML 2.0 enables web-based
- authentication and authorization scenarios including cross-domain single
- sign-on (SSO), which helps reduce the administrative overhead of distributing
- multiple authentication tokens to the user.
- .
- This package contains the Python 2.x module.
 
 Package: python-pysaml2-doc
 Section: doc
