## python-pysaml2 6.1.0

=== debian/changelog ===
python-pysaml2 (6.1.0-0ubuntu1.21.04.1~cloud0) focal-wallaby; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 08 Sep 2021 12:19:00 +0000

python-pysaml2 (6.1.0-0ubuntu1.21.04.1) hirsute-security; urgency=medium

  * SECURITY UPDATE: improper verification of cryptographic signature
    - debian/patches/CVE-2021-21239.patch: restrict the key data that
      xmlsec1 accepts to only x509 certs in src/saml2/sigver.py,
      tests/test_xmlsec1_key_data.py,
      tests/xmlsec1-keydata/signed-assertion-random-embedded-cert.xml,
      tests/xmlsec1-keydata/signed-assertion-with-hmac.xml,
      tests/xmlsec1-keydata/signed-response-with-hmac.xml.
    - CVE-2021-21239
  * debian/patches/python39compat.patch: fix FTBFS with Python 3.9.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Jun 2021 10:40:44 -0400

python-pysaml2 (6.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/p/update-test-metadata-expiration.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 15:02:25 -0400

python-pysaml2 (5.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
  * d/control, d/compat: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.
  * d/p/skip-online-tests.patch: Dropped. No longer needed.
  * d/p/CVE-2020-5390.patch: Droped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 14:04:51 -0400
