=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-python,
  python3-sphinx,
  python3-all,
@@ -30,7 +30,7 @@
  python3-tz,
  python3-zope.interface,
  xmlsec1,
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
 Homepage: https://github.com/rohe/pysaml2
