=== example/requirements.txt ===
mako
cherrypy>14.0.2
