=== debian/changelog ===
python-pysaml2 (6.5.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix CVE-2021-21238 and CVE-2021-21239 (Closes: #980772, #980773).
  * Update patches to match new upstream release.
  * Add python3-importlib-resources and python3-xmlschema as (build-)depends.
  * Reworked python3.9-use-encodebytes-not-encodestring.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Feb 2021 12:41:36 +0100

python-pysaml2 (6.1.0-3) unstable; urgency=medium

  * Removed python3-crypto from build-depends (Closes: #971290).

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Nov 2020 12:51:21 +0100

python-pysaml2 (6.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed watch file.
  * Add a debian/salsa-ci.yml.
  * Add python3-cffi{,backend} as (build-)depends.
  * Add a debian/salsa-ci.yml.
  * Add python3.9-use-encodebytes-not-encodestring.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 13:04:12 +0200

python-pysaml2 (6.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remove tests that don't apply, rebase/refresh the others.
  * Install the package in debian/tmp before running tests.
  * Defines: http_proxy=127.0.0.1:9 https_proxy=127.0.0.9:9
    HTTP_PROXY=127.0.0.1:9 HTTPS_PROXY=127.0.0.1:9 RES_OPTIONS=attempts:0
    before running tests to ensure no external network is required.
  * Use -Wignore option of pytest to ignore deprecation warnings.
  * Add remove-not-discoverable-test.patch.
  * -k "not test_signed_metadata_proper_str_bytes_handling and not test_enc1"
    to avoid broken tests (ie: requiring network access).
  * Fixed installing files for this new release.
  * Correctly build the doc from "docs" folder (previously "doc"), and build
    the sphinx docs using the installed saml2 module.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2020 14:05:27 +0200

python-pysaml2 (4.5.0-8) unstable; urgency=medium

  * Add patch to remove broken unit tests (Closes: #952249):
    - remove-tests-which-wont-work-after-2020-02-18.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2020 11:35:12 +0100

python-pysaml2 (4.5.0-7) unstable; urgency=high

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.

  [ Thomas Goirand ]
  * CVE-2020-5390: does not check that the signature in a SAML document is
    enveloped and thus signature wrapping is effective, i.e., it is affected by
    XML Signature Wrapping (XSW). Applied upstream patch: Fix XML Signature
    Wrapping (XSW) vulnerabilities (Closes: #949322).
  * Remove a test file that will fail past 2020-11-28 (Closes: #949227).

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Feb 2020 09:12:46 +0100

python-pysaml2 (4.5.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938093).
  * Add remove-test-timeout.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Sep 2019 17:17:52 +0200
