## python-pysaml2 7.0.1

=== debian/changelog ===
python-pysaml2 (7.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 13:21:09 +0200

python-pysaml2 (7.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3.9-use-encodebytes-not-encodestring.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 10:18:55 +0200
