=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=saml2

PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/rohe/pysaml2.git
-include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-pysaml2; \
	done
	for i in make_metadata mdexport parse_xsd2 merge_metadata ; do \
		mv $(CURDIR)/debian/python3-pysaml2/usr/bin/$$i.py $(CURDIR)/debian/python3-pysaml2/usr/bin/python3-$$i ; \
	done
	rm -rf $(CURDIR)/debian/python*-pysaml2/usr/lib/python*/dist-packages/*.pth

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/src:. pytest-3 tests
endif

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_sphinxdoc:
	PYTHONPATH=./src/ python3 -m sphinx -D today="$(BUILD_DATE)" -b html docs debian/python-pysaml2-doc/usr/share/doc/python-pysaml2-doc/html
	dh_sphinxdoc

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:
