## python-pysaml2 7.5.0

=== example/requirements.txt ===
mako
cherrypy>14.0.2
setuptools>=65.5.1 # not directly required, pinned by Snyk to avoid a vulnerability
