=== debian/changelog ===
python-pysaml2 (7.5.0-4) unstable; urgency=medium

  * Blacklist more unit tests (Closes: #1090286):
    - test_encrypted_response_6 
    - test_validate_cert_chains
    - test_validate_with_root_cert

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Dec 2024 08:32:40 +0100

python-pysaml2 (7.5.0-3) unstable; urgency=medium

  * Add python3-legacy-cgi as (build-)depends (Closes: #1084670).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Nov 2024 09:32:59 +0100

python-pysaml2 (7.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:32:16 +0200

python-pysaml2 (7.5.0-1) experimental; urgency=medium

  * Update upstream URLs.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Sep 2024 10:20:21 +0200

python-pysaml2 (7.4.2-5) unstable; urgency=medium

  * Removed extraneous python3-mock build-dependency (Closes: #1071957).

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Jun 2024 13:07:11 +0200

python-pysaml2 (7.4.2-4) unstable; urgency=medium

  * Add patch to make the package reproducible. Thanks to Chris Lamb for the
    patch (Closes: #1067485).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Apr 2024 14:36:55 +0200

python-pysaml2 (7.4.2-3) unstable; urgency=medium

  * Correctly use export when setting PYBUILD_NAME (Closes: #1066798).
  * Copy scripts from .pybuild/cpython3_3.11_pysaml2, not just
    .pybuild/cpython3_3.11.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Mar 2024 11:24:05 +0100

python-pysaml2 (7.4.2-2) unstable; urgency=medium

  * Fix to not use hardcoded python3 version.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 11:52:38 +0100

python-pysaml2 (7.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends (Closes: #1052512).
  * Rebased remove-test-timeout.patch.
  * Rebased remove-broken-test.patch.
  * Rebased remove-not-discoverable-test.patch.
  * Drop remove-the-use-of-future.patch not needed anymore.
  * Switch to pybuild and pyproject.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 10:04:55 +0100

python-pysaml2 (7.2.1-3) unstable; urgency=medium

  * Add remove-the-use-of-future.patch and remove (build-)depends on
    python3-future (Closes: #1059107).

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Dec 2023 12:31:43 +0100

python-pysaml2 (7.2.1-2) unstable; urgency=medium

  * Cleans better (Closes: #1046433).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 09:41:29 +0200

python-pysaml2 (7.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Add missing runtime depends on python3-setuptools.
  * Rebased remove-broken-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Aug 2023 10:40:53 +0200

python-pysaml2 (7.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 10:12:55 +0100
