=== debian/control ===
--- 
+++ 
@@ -1,41 +1,47 @@
 Source: python-pysaml2
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 10),
  dh-python,
+ openstack-pkg-tools,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-poetry-core,
+ python3-setuptools,
  python3-sphinx,
- python3-all,
- python3-setuptools,
 Build-Depends-Indep:
+ python3-alabaster,
+ python3-betamax,
+ python3-cffi,
+ python3-cffi-backend,
  python3-cryptography,
  python3-dateutil,
  python3-decorator,
  python3-defusedxml,
- python3-future,
  python3-importlib-resources,
+ python3-legacy-cgi,
  python3-mako,
  python3-memcache,
- python3-mock,
  python3-openssl,
  python3-paste,
  python3-pyasn1,
- python3-pymongo (>= 3.0.1),
+ python3-pymongo,
  python3-pytest,
+ python3-repoze.who,
  python3-requests,
  python3-responses,
  python3-tz,
  python3-xmlschema,
  python3-zope.interface,
  xmlsec1,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pysaml2
-Homepage: https://github.com/rohe/pysaml2
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pysaml2
+Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pysaml2.git
+Homepage: https://github.com/IdentityPython/pysaml2
 
 Package: python-pysaml2-doc
 Section: doc
@@ -62,16 +68,23 @@
 Package: python3-pysaml2
 Architecture: all
 Depends:
+ python3-cffi,
+ python3-cffi-backend,
+ python3-cryptography,
+ python3-dateutil,
+ python3-defusedxml,
+ python3-legacy-cgi,
  python3-importlib-resources,
  python3-mako,
  python3-memcache,
  python3-pyasn1,
+ python3-repoze.who,
+ python3-responses,
+ python3-setuptools,
  python3-xmlschema,
  xmlsec1,
  ${misc:Depends},
  ${python3:Depends},
-Suggests:
- python3-repoze.who,
 Description: SAML Version 2 to be used in a WSGI environment - Python 3.x
  This package provides a Python implementation of SAML Version 2 to be used in
  a WSGI environment.
