## python-pysaml2 7.5.4

=== debian/changelog ===
python-pysaml2 (7.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (LP: #2106472)
  * Remove unused python3-betamax build-dependency
  * Remove indirect (build-)dependencies cffi and decorator
  * Drop python3-importlib-resources dependency (only needed for Python < 3.9)
  * Drop python3-responses and python3-setuptools from the library dependencies
  * Add Testsuite: autopkgtest-pkg-pybuild
  * Remove eptid file generated during test run
  * Update debian/watch to version 5
  * Update to debhelper 13
  * Skip failing new test_namespace_processing (reported upstream)
  * Drop deprecated python3-legacy-cgi (removed in new upstream version)
  * Remove unused python3-tz (removed in new upstream version) (LP: #2101044)
  * Demote optional python3-repoze.who to Suggests

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 13 Nov 2025 15:19:54 +0100
