=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-pysaml2
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  pybuild-plugin-pyproject,
@@ -15,15 +16,9 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-alabaster,
- python3-betamax,
- python3-cffi,
- python3-cffi-backend,
  python3-cryptography,
  python3-dateutil,
- python3-decorator,
  python3-defusedxml,
- python3-importlib-resources,
- python3-legacy-cgi,
  python3-mako,
  python3-memcache,
  python3-openssl,
@@ -34,7 +29,6 @@
  python3-repoze.who,
  python3-requests,
  python3-responses,
- python3-tz,
  python3-xmlschema,
  python3-zope.interface,
  xmlsec1,
@@ -42,6 +36,7 @@
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pysaml2
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pysaml2.git
 Homepage: https://github.com/IdentityPython/pysaml2
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-pysaml2-doc
 Section: doc
@@ -68,23 +63,18 @@
 Package: python3-pysaml2
 Architecture: all
 Depends:
- python3-cffi,
- python3-cffi-backend,
  python3-cryptography,
  python3-dateutil,
  python3-defusedxml,
- python3-legacy-cgi,
- python3-importlib-resources,
  python3-mako,
  python3-memcache,
  python3-pyasn1,
- python3-repoze.who,
- python3-responses,
- python3-setuptools,
  python3-xmlschema,
  xmlsec1,
  ${misc:Depends},
  ${python3:Depends},
+Suggests:
+ python3-repoze.who,
 Description: SAML Version 2 to be used in a WSGI environment - Python 3.x
  This package provides a Python implementation of SAML Version 2 to be used in
  a WSGI environment.
