=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build src/*.egg-info .pytest_cache tests/subject.db.db tests/subject_data.db.db eptid.db
+	rm -rf build src/*.egg-info .pytest_cache tests/subject.db.db tests/subject_data.db.db eptid
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 	dh_auto_clean
@@ -24,7 +24,7 @@
 # This file ends-up in the package, and makes the package
 # unreproducible. Let's delete it.
 execute_after_dh_auto_test:
-	find .pybuild -type f -name eptid.db -delete
+	find .pybuild -type f -name eptid -delete
 
 #override_dh_install:
 #	dh_install
