=== debian/watch ===
Version: 5
Template: Github
Owner: IdentityPython
Project: pysaml2
